Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#29270 - [gnuplot 4.6.0-2] Error without qt installed

Attached to Project: Arch Linux
Opened by Lex Black (TrialnError) - Wednesday, 04 April 2012, 11:25 GMT
Last edited by Ronald van Haren (pressh) - Wednesday, 04 April 2012, 18:24 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Ronald van Haren (pressh)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
Installing the repo gnuplot version generates following error, if qt isn't installed:

gnuplot: error while loading shared libraries: libQtNetwork.so.4: cannot open shared object file: No such file or directory

Gnuplot won't start at all

How to solve:
1.) Installation of qt (I assume. Didn't test it though) and within the PKGBUILD change it from optdepend to depend
2.) Disable the qt option in the PKGBUILD (I did it this way)


This task depends upon

Closed by  Ronald van Haren (pressh)
Wednesday, 04 April 2012, 18:24 GMT
Reason for closing:  Fixed
Additional comments about closing:  4.6.0-3
Comment by Ronald van Haren (pressh) - Wednesday, 04 April 2012, 18:04 GMT
I'll remove it again in 4.6.0-3

Loading...